Create a new volume
POST
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/volumes
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/volumes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"volumeName":"example","description":"example","rootDirectory":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/volumes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "volumeName": "example", "description": "example", "rootDirectory": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
volumeName
required
Volume name
string
description
Volume description
string
rootDirectory
Root directory path
string
Examplegenerated
{ "volumeName": "example", "description": "example", "rootDirectory": "example"}Responses
Section titled “Responses”The volume created
Media typeapplication/json
object
volumeId
string
volumeName
string
description
string
environmentEfsId
string
createdAt
string
rootDirectory
string
accessPointId
string
accessPointArn
string
Examplegenerated
{ "volumeId": "example", "volumeName": "example", "description": "example", "environmentEfsId": "example", "createdAt": "example", "rootDirectory": "example", "accessPointId": "example", "accessPointArn": "example"}The environment not found
